Bug 496350 - libcap's cap_from_text.3 man page only in -devel
libcap's cap_from_text.3 man page only in -devel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libcap (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
: Documentation, ManPageChange, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 19:27 EDT by Tim Pepper
Modified: 2013-05-14 06:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 06:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Pepper 2009-04-17 19:27:21 EDT
Description of problem:
libcap offers a setcap command.  Its manpage refers to cap_from_text.3 for specific syntax.  The syntax itself is not entirely straight forward and this manpage is only available in the libcap-devel rpm, so to use libcap's setcap command one essentially needs to first also install libcap-devel to ready the complete instructions (ie: for the list of capabilities, valid '=' and '+' modifiers and 'e', 'i', 'p' attributes).  It would be useful if at least this man one page were moved out of -devel and into the libcap rpm.

How reproducible:
100%

Steps to Reproduce:
1. man cap_from_text

Actual results:
No manual entry for cap_from_text

Expected results:
...man page is available for viewing.

Additional info:
Comment 1 Bug Zapper 2009-06-09 10:03:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:45:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:54:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Cristian Ciupitu 2012-12-16 14:01:06 EST
It's still happening in Fedora 17 (libcap-2.22-2.fc17.x86_64).
Comment 5 Karsten Hopp 2013-05-14 06:01:46 EDT
man pages often reference other man pages, even from other packages. I don't think it would be a good idea to require those other packages then. I also won't package a development man page that describes the libcap C-functions in a normal package, it just doesn't belong there at all.

Note You need to log in before you can comment on or make changes to this bug.